/**
 * 
 */
package com.ejie.ad74a.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Representacion de un registro de la tabla AE01B.AE01B00T00 LIQUIDACIONES
 * @author BICUGUAL
 *
 */
public class Liquidacion implements Serializable{

	private static final long serialVersionUID = 1L;
	
	private Long idLiquidacion;
	private Integer ejercicio;
	private Integer numLiquidacion;
	private TipoIngreso idTipoIngreso;
	private String codOrigen;
	private BigDecimal importe;
	private Date fEmision;
	private Date fLimitePago;
	private String referenciaLiq;
	private String digitoControl;
	private Integer idTerritorio;
	private String expediente;
	private String concepto;
	private Integer tipoTercero;
	private String tercero;
	private String nomRacSoc;
	private String apellido1;
	private String apellido2;
	private Integer residente;
	private Integer codPais;
	private String localidad;
	private Integer codProvincia;
	private Integer codMunicipio;
	private Long codLocalidad;
	private String tipoVia;
	private String nombreVia;
	private String portal;
	private String letraPortal;
	private String escalera;
	private String piso;
	private String puerta;
	private String codPostal;
	private Integer indDomic;
	private String iban;
	private Date fMandato;
	private Date fEnvSipca;
	private Integer idFicheroEnv;
	private Date fCobroProv;
	private Date fCobroDef;
	private Date fAnuCobro;
	private String motivoAnuCobro;
	private Integer idFicheroCSB19;
	private Date fCargo;
	private String idPagoPasarela;
	private Integer estadoLiq;
	private String bic;
	private String mandato;
	
	public Liquidacion() {
		super();
	}

	public Long getIdLiquidacion() {
		return idLiquidacion;
	}

	public void setIdLiquidacion(Long idLiquidacion) {
		this.idLiquidacion = idLiquidacion;
	}

	public Integer getEjercicio() {
		return ejercicio;
	}

	public void setEjercicio(Integer ejercicio) {
		this.ejercicio = ejercicio;
	}

	public Integer getNumLiquidacion() {
		return numLiquidacion;
	}

	public void setNumLiquidacion(Integer numLiquidacion) {
		this.numLiquidacion = numLiquidacion;
	}

	public TipoIngreso getIdTipoIngreso() {
		return idTipoIngreso;
	}

	public void setIdTipoIngreso(TipoIngreso idTipoIngreso) {
		this.idTipoIngreso = idTipoIngreso;
	}

	public String getCodOrigen() {
		return codOrigen;
	}

	public void setCodOrigen(String codOrigen) {
		this.codOrigen = codOrigen;
	}

	public BigDecimal getImporte() {
		return importe;
	}

	public void setImporte(BigDecimal importe) {
		this.importe = importe;
	}

	public Date getfEmision() {
		return fEmision;
	}

	public void setfEmision(Date fEmision) {
		this.fEmision = fEmision;
	}

	public Date getfLimitePago() {
		return fLimitePago;
	}

	public void setfLimitePago(Date fLimitePago) {
		this.fLimitePago = fLimitePago;
	}

	public String getReferenciaLiq() {
		return referenciaLiq;
	}

	public void setReferenciaLiq(String referenciaLiq) {
		this.referenciaLiq = referenciaLiq;
	}

	public String getDigitoControl() {
		return digitoControl;
	}

	public void setDigitoControl(String digitoControl) {
		this.digitoControl = digitoControl;
	}

	public Integer getIdTerritorio() {
		return idTerritorio;
	}

	public void setIdTerritorio(Integer idTerritorio) {
		this.idTerritorio = idTerritorio;
	}

	public String getExpediente() {
		return expediente;
	}

	public void setExpediente(String expediente) {
		this.expediente = expediente;
	}

	public String getConcepto() {
		return concepto;
	}

	public void setConcepto(String concepto) {
		this.concepto = concepto;
	}

	public Integer getTipoTercero() {
		return tipoTercero;
	}

	public void setTipoTercero(Integer tipoTercero) {
		this.tipoTercero = tipoTercero;
	}

	public String getTercero() {
		return tercero;
	}

	public void setTercero(String tercero) {
		this.tercero = tercero;
	}

	public String getNomRacSoc() {
		return nomRacSoc;
	}

	public void setNomRacSoc(String nomRacSoc) {
		this.nomRacSoc = nomRacSoc;
	}

	public String getApellido1() {
		return apellido1;
	}

	public void setApellido1(String apellido1) {
		this.apellido1 = apellido1;
	}

	public String getApellido2() {
		return apellido2;
	}

	public void setApellido2(String apellido2) {
		this.apellido2 = apellido2;
	}

	public Integer getResidente() {
		return residente;
	}

	public void setResidente(Integer residente) {
		this.residente = residente;
	}

	public Integer getCodPais() {
		return codPais;
	}

	public void setCodPais(Integer codPais) {
		this.codPais = codPais;
	}

	public String getLocalidad() {
		return localidad;
	}

	public void setLocalidad(String localidad) {
		this.localidad = localidad;
	}

	public Integer getCodProvincia() {
		return codProvincia;
	}

	public void setCodProvincia(Integer codProvincia) {
		this.codProvincia = codProvincia;
	}

	public Integer getCodMunicipio() {
		return codMunicipio;
	}

	public void setCodMunicipio(Integer codMunicipio) {
		this.codMunicipio = codMunicipio;
	}

	public Long getCodLocalidad() {
		return codLocalidad;
	}

	public void setCodLocalidad(Long codLocalidad) {
		this.codLocalidad = codLocalidad;
	}

	public String getTipoVia() {
		return tipoVia;
	}

	public void setTipoVia(String tipoVia) {
		this.tipoVia = tipoVia;
	}

	public String getNombreVia() {
		return nombreVia;
	}

	public void setNombreVia(String nombreVia) {
		this.nombreVia = nombreVia;
	}

	public String getPortal() {
		return portal;
	}

	public void setPortal(String portal) {
		this.portal = portal;
	}

	public String getLetraPortal() {
		return letraPortal;
	}

	public void setLetraPortal(String letraPortal) {
		this.letraPortal = letraPortal;
	}

	public String getEscalera() {
		return escalera;
	}

	public void setEscalera(String escalera) {
		this.escalera = escalera;
	}

	public String getPiso() {
		return piso;
	}

	public void setPiso(String piso) {
		this.piso = piso;
	}

	public String getPuerta() {
		return puerta;
	}

	public void setPuerta(String puerta) {
		this.puerta = puerta;
	}

	public String getCodPostal() {
		return codPostal;
	}

	public void setCodPostal(String codPostal) {
		this.codPostal = codPostal;
	}

	public Integer getIndDomic() {
		return indDomic;
	}

	public void setIndDomic(Integer indDomic) {
		this.indDomic = indDomic;
	}

	public String getIban() {
		return iban;
	}

	public void setIban(String iban) {
		this.iban = iban;
	}

	public Date getfMandato() {
		return fMandato;
	}

	public void setfMandato(Date fMandato) {
		this.fMandato = fMandato;
	}

	public Date getfEnvSipca() {
		return fEnvSipca;
	}

	public void setfEnvSipca(Date fEnvSipca) {
		this.fEnvSipca = fEnvSipca;
	}

	public Integer getIdFicheroEnv() {
		return idFicheroEnv;
	}

	public void setIdFicheroEnv(Integer idFicheroEnv) {
		this.idFicheroEnv = idFicheroEnv;
	}

	public Date getfCobroProv() {
		return fCobroProv;
	}

	public void setfCobroProv(Date fCobroProv) {
		this.fCobroProv = fCobroProv;
	}

	public Date getfCobroDef() {
		return fCobroDef;
	}

	public void setfCobroDef(Date fCobroDef) {
		this.fCobroDef = fCobroDef;
	}

	public Date getfAnuCobro() {
		return fAnuCobro;
	}

	public void setfAnuCobro(Date fAnuCobro) {
		this.fAnuCobro = fAnuCobro;
	}

	public String getMotivoAnuCobro() {
		return motivoAnuCobro;
	}

	public void setMotivoAnuCobro(String motivoAnuCobro) {
		this.motivoAnuCobro = motivoAnuCobro;
	}

	public Integer getIdFicheroCSB19() {
		return idFicheroCSB19;
	}

	public void setIdFicheroCSB19(Integer idFicheroCSB19) {
		this.idFicheroCSB19 = idFicheroCSB19;
	}

	public Date getfCargo() {
		return fCargo;
	}

	public void setfCargo(Date fCargo) {
		this.fCargo = fCargo;
	}

	public String getIdPagoPasarela() {
		return idPagoPasarela;
	}

	public void setIdPagoPasarela(String idPagoPasarela) {
		this.idPagoPasarela = idPagoPasarela;
	}

	public Integer getEstadoLiq() {
		return estadoLiq;
	}

	public void setEstadoLiq(Integer estadoLiq) {
		this.estadoLiq = estadoLiq;
	}

	public String getBic() {
		return bic;
	}

	public void setBic(String bic) {
		this.bic = bic;
	}

	public String getMandato() {
		return mandato;
	}

	public void setMandato(String mandato) {
		this.mandato = mandato;
	}

	@Override
	public String toString() {
		return "Liquidacion [idLiquidacion=" + idLiquidacion + ", ejercicio=" + ejercicio + ", numLiquidacion="
				+ numLiquidacion + ", idTipoIngreso=" + idTipoIngreso + ", codOrigen=" + codOrigen + ", importe="
				+ importe + ", fEmision=" + fEmision + ", fLimitePago=" + fLimitePago + ", referenciaLiq="
				+ referenciaLiq + ", digitoControl=" + digitoControl + ", idTerritorio=" + idTerritorio
				+ ", expediente=" + expediente + ", concepto=" + concepto + ", tipoTercero=" + tipoTercero
				+ ", tercero=" + tercero + ", nomRacSoc=" + nomRacSoc + ", apellido1=" + apellido1 + ", apellido2="
				+ apellido2 + ", residente=" + residente + ", codPais=" + codPais + ", localidad=" + localidad
				+ ", codProvincia=" + codProvincia + ", codMunicipio=" + codMunicipio + ", codLocalidad=" + codLocalidad
				+ ", tipoVia=" + tipoVia + ", nombreVia=" + nombreVia + ", portal=" + portal + ", letraPortal="
				+ letraPortal + ", escalera=" + escalera + ", piso=" + piso + ", puerta=" + puerta + ", codPostal="
				+ codPostal + ", indDomic=" + indDomic + ", iban=" + iban + ", fMandato=" + fMandato + ", fEnvSipca="
				+ fEnvSipca + ", idFicheroEnv=" + idFicheroEnv + ", fCobroProv=" + fCobroProv + ", fCobroDef="
				+ fCobroDef + ", fAnuCobro=" + fAnuCobro + ", motivoAnuCobro=" + motivoAnuCobro + ", idFicheroCSB19="
				+ idFicheroCSB19 + ", fCargo=" + fCargo + ", idPagoPasarela=" + idPagoPasarela + ", estadoLiq="
				+ estadoLiq + ", bic=" + bic + ", mandato=" + mandato + "]";
	}
	
}
